import re
def get_consonants():
  return ['b', 'c', 'd', 'đ', 'g', 'h', 'k', 'l', 'm', 'n', 'p', 'q', 'r', 's', 't', 'v', 'x', 'ch', 'gh', 'kh', 'ng', 'ngh', 'nh', 'ph', 'th', 'tr', 'gi', 'qu']
def get_vowels():
  return ['a', 'ă', 'â', 'e', 'ê', 'i', 'o', 'ô', 'ơ', 'u', 'ư', 'y']
def get_rhymes():
  return ['iễm', 'ẵn', 'at', 'át', 'óm', 'uẩng', 'oăc', 'uỗi', 'íp', 'ên', 'ã', 'iệp', 'õi', 'ỉn', 'yền', 'ố', 'ởn', 'oăng', 'ằm', 'àm', 'ất', 'òe', 'ừ', 'ăm', 'oat', 'ảu', 'yếm', 'ện', 'ậy', 'ến', 'ườm', 'ut', 'ẫu', 'iếp', 'ắp', 'ẹ', 'ím', 'ẹn', 'uốc', 'ẳng', 'ê', 'oàm', 'ấn', 'ểnh', 'oăt', 'úa', 'ưởu', 'ụm', 'òong', 'ết', 'ặp', 'uỵnh', 'uyu', 'ôi', 'uốn', 'uổng', 'âm', 'oặm', 'ử', 'ầng', 'oắn', 'ướn', 'ượng', 'ươt', 'ác', 'ập', 'ọt', 'uần', 'uât', 'ừa', 'yểu', 'ẫy', 'ặng', 'ướt', 'oẵng', 'uýa', 'oèn', 'ín', 'ãi', 'ấu', 'uých', 'ich', 'úc', 'ỡn', 'oào', 'oẽo', 'uyền', 'ảng', 'ằn', 'ũa', 'uề', 'ấng', 'ật', 'ướu', 'ọa', 'iển', 'oắm', 'õm', 'ai', 'y', 'ìu', 'ởm', 'oằng', 'èng', 'oảnh', 'ũm', 'ỏa', 'oắng', 'ưm', 'uỵp', 'àng', 'ư', 'oeo', 'ều', 'en', 'ấm', 'ấy', 'ệnh', 'ỗm', 'yềng', 'oặt', 'ỡm', 'oéo', 'ỏn', 'uệ', 'ỳ', 'yếu', 'ôc', 'ỗng', 'ún', 'ĩn', 'ia', 'óp', 'oãy', 'ắt', 'oc', 'óa', 'ời', 'iến', 'uầy', 'ĩa', 'iền', 'ùi', 'ốn', 'up', 'um', 'ụt', 'iệt', 'ao', 'ủ', 'oẳng', 'oảo', 'ặn', 'ụng', 'uấn', 'iêng', 'uệch', 'ẳm', 'úi', 'ợp', 'op', 'ịt', 'iệc', 'í', 'inh', 'ọi', 'âc', 'áp', 'òi', 'ì', 'oãi', 'ươi', 'ẩm', 'ịch', 'áu', 'uồm', 'ịn', 'oày', 'uồng', 'ứa', 'óong', 'ánh', 'ịp', 'ém', 'uổi', 'òm', 'ột', 'uâng', 'ưởi', 'ối', 'ếch', 'ẳn', 'ỏm', 'ạo', 'oặng', 'ọm', 'ẻ', 'yển', 'ựng', 'yễng', 'ệ', 'ỏng', 'uậy', 'ển', 'em', 'ải', 'ec', 'òn', 'an', 'ốt', 'oái', 'oát', 'ích', 'iểm', 'ủng', 'ât', 'oặc', 'yêng', 'ỹ', 'ừu', 'eo', 'ồ', 'ũ', 'ụy', 'ẩy', 'uêch', 'uỷnh', 'oánh', 'yểng', 'uấng', 'ệu', 'oãm', 'ẩng', 'oen', 'ớt', 'uỗn', 'uênh', 'oèo', 'uýu', 'u', 'uẩy', 'ếp', 'ễnh', 'ứ', 'iếu', 'uỵt', 'ây', 'ẹm', 'ườn', 'uồi', 'uẫy', 'uểnh', 'oẽn', 'uận', 'uầng', 'úm', 'ía', 'in', 'ũy', 'i', 'õa', 'ảnh', 'ẫn', 'ạc', 'uỹa', 'ội', 'ược', 'uỗng', 'ửa', 'uễ', 'oạn', 'ạm', 'ám', 'è', 'ảo', 'ệt', 'ơm', 'ài', 'oáng', 'ac', 'ũi', 'ờn', 'ừm', 'oạt', 'ọoc', 'uệnh', 'yềm', 'uộc', 'ịm', 'ôp', 'yện', 'uốm', 'ỏi', 'ềm', 'ỉ', 'oạc', 'ản', 'uỷa', 'ộp', 'ề', 'ới', 'úng', 'ước', 'yêm', 'ùn', 'ân', 'ấp', 'ảm', 'iếng', 'uỵn', 'im', 'ẻng', 'ại', 'oảm', 'ốp', 'ăp', 'yểm', 'ĩu', 'ùy', 'ưu', 'oàng', 'ênh', 'uyển', 'uôt', 'am', 'ỗ', 'ủn', 'ụi', 'oan', 'ach', 'ươn', 'oẻo', 'iềm', 'oãnh', 'ụp', 'yến', 'èm', 'ững', 'ần', 'ắc', 'ắn', 'õ', 'iêu', 'ua', 'ướm', 'oạch', 'ưới', 'oản', 'ôt', 'oán', 'ốm', 'ổi', 'uội', 'iết', 'ượm', 'uôn', 'óc', 'ửi', 'ụa', 'êt', 'ịu', 'ý', 'ẻm', 'ành', 'un', 'ãnh', 'iều', 'uyêt', 'ứu', 'áng', 'au', 'ẵm', 'uỳu', 'oáp', 'ớp', 'ộn', 'ỗi', 'ưỡu', 'iệm', 'ọ', 'ữu', 'ười', 'ìa', 'ep', 'uyn', 'ốc', 'yêu', 'ó', 'ường', 'ổn', 'uỵa', 'ồng', 'oẻn', 'oạng', 'yễn', 'ỵ', 'ả', 'et', 'ỉa', 'uyệt', 'õong', 'uộn', 'ẽn', 'ếnh', 'iểu', 'uôm', 'uỳa', 'ào', 'ỉm', 'ưởng', 'ang', 'óng', 'ịa', 'uyp', 'ợm', 'yếng', 'ầm', 'ỷ', 'á', 'ưỡn', 'ưt', 'ướng', 'uyễn', 'uỳnh', 'ữ', 'èo', 'ệp', 'úy', 'áy', 'ưn', 'êch', 'uyến', 'ạp', 'uyên', 'ìm', 'oão', 'êm', 'oăm', 'yều', 'anh', 'ẽm', 'oạnh', 'ái', 'oét', 'ị', 'iệu', 'uộm', 'ửu', 'oáy', 'oac', 'ỏ', 'ạu', 'iểng', 'ủm', 'ình', 'oẹo', 'ượi', 'ét', 'iếm', 'uế', 'iện', 'ằng', 'uynh', 'ẹp', 'ôm', 'óe', 'uyện', 'uễnh', 'uốt', 'ay', 'âng', 'uýnh', 'oang', 'yết', 'àn', 'uộng', 'âu', 'ộ', 'oet', 'ượt', 'uỷu', 'ơi', 'yêt', 'ảy', 'ày', 'iu', 'oao', 'ương', 'uẫn', 'én', 'oanh', 'ưi', 'ươm', 'ặm', 'yệt', 'uồn', 'ồn', 'ẹc', 'ạy', 'èn', 'ứng', 'ưỡi', 'oạm', 'oẵm', 'ưỡng', 'uôi', 'ỡ', 'ườ', 'yễu', 'ờm', 'oáo', 'ờ', 'ú', 'oài', 'ù', 'ượ', 'uếch', 'oai', 'a', 'yệm', 'ách', 'oạp', 'oay', 'ẹt', 'ép', 'òa', 'ươp', 'oẵn', 'ịnh', 'ạ', 'éng', 'oãng', 'yên', 'ượu', 'ệch', 'ặc', 'ính', 'oe', 'oap', 'ạch', 'ận', 'uýn', 'ậc', 'ông', 'ế', 'uột', 'uôc', 'ĩ', 'iệng', 'ắm', 'ựa', 'ẫng', 'ỉu', 'ui', 'ụn', 'é', 'ởi', 'uếnh', 'ạng', 'ểu', 'oãn', 'án', 'om', 'éo', 'iềng', 'oám', 'íu', 'oặn', 'oẳm', 'ền', 'oạo', 'ẽ', 'ọng', 'it', 'ọn', 'ựt', 'ừng', 'ăng', 'oam', 'ũn', 'ửng', 'uê', 'uýp', 'uy', 'ớn', 'iêm', 'on', 'uất', 'ooc', 'ẵng', 'ít', 'ổ', 'yệu', 'uối', 'iễn', 'ĩnh', 'ậu', 'uỹn', 'ọc', 'ùm', 'ạn', 'ẻo', 'ìn', 'ớ', 'ục', 'yệng', 'oach', 'uỳn', 'oành', 'uật', 'ươu', 'uậng', 'óoc', 'ầu', 'iêc', 'o', 'õn', 'ơ', 'uyt', 'ễu', 'uỵch', 'iễng', 'à', 'ủy', 'uỷn', 'ẩu', 'ớm', 'uỹnh', 'oăn', 'uân', 'oẹn', 'ậng', 'ão', 'ếm', 'ệm', 'ot', 'ườu', 'ẹo', 'ụ', 'oàn', 'oằm', 'ổm', 'uể', 'ôn', 'ỏong', 'ể', 'ủa', 'iễu', 'ơt', 'ướp', 'oẳn', 'ong', 'oách', 'ạnh', 'uỗm', 'êp', 'ễ', 'âp', 'ực', 'ộm', 'ỏe', 'ãn', 'õe', 'ẻn', 'ắng', 'ip', 'ổng', 'yễm', 'áo', 'oắc', 'uềnh', 'uych', 'oi', 'ỗn', 'uẩn', 'iếc', 'ượn', 'oa', 'ưa', 'ươ', 'uỹu', 'ọe', 'uya', 'uẫng', 'oằn', 'oải', 'ếu', 'ậm', 'ap', 'ợi', 'ộng', 'ẩn', 'ộc', 'ẽo', 'oác', 'ãm', 'ăn', 'e', 'oong', 'ở', 'uống', 'ãng', 'oẹt', 'ạt', 'ợt', 'uông', 'iêt', 'út', 'ấc', 'ướ', 'uýt', 'ỉnh', 'ầy', 'ồi', 'oại', 'ựu', 'uyết', 'ăt', 'òng', 'ợ', 'ơn', 'ẫm', 'õng', 'iêp', 'ưc', 'ô', 'ưng', 'ơp', 'ùa', 'ứt', 'oảy', 'eng', 'ồm', 'ăc', 'êu', 'ỡi', 'oén', 'ùng', 'ưỡ', 'ĩm', 'ón', 'ống', 'oạy', 'oóc', 'ói', 'ũng', 'uỵu', 'ự', 'ươc', 'ức', 'ợn', 'ọong', 'uây', 'oảng', 'ềnh', 'ò', 'ọp', 'uc', 'ữa', 'ung', 'úp', 'uấy', 'àu', 'oắt', 'ủi', 'ót', 'iên', 'ượp', 'éc', 'ặt', 'ãy']